Bug 212590 - chinese/fcitx: [PATCH] Enabling GTK3 by default because fcitx doesn't work in firefox without it
Summary: chinese/fcitx: [PATCH] Enabling GTK3 by default because fcitx doesn't work in...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2016-09-11 20:54 UTC by Yuri Victorovich
Modified: 2016-12-27 20:34 UTC (History)
3 users (show)

See Also:
lichray: maintainer-feedback+


Attachments
patch (386 bytes, patch)
2016-09-11 20:54 UTC, Yuri Victorovich
no flags Details | Diff
patch (604 bytes, patch)
2016-12-26 21:22 UTC, Yuri Victorovich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yuri Victorovich freebsd_committer 2016-09-11 20:54:43 UTC
Created attachment 174665 [details]
patch

Major apps like firefox should work with fcitx out of the box, this is why this patch is needed.
Comment 1 Wen Heping freebsd_committer 2016-09-13 23:45:10 UTC
Should PORTREVISION be bumped ?

wen
Comment 2 lichray 2016-09-13 23:47:23 UTC
(In reply to Wen Heping from comment #1)

Oops, I think yes.
Comment 3 Yuri Victorovich freebsd_committer 2016-10-27 07:13:22 UTC
Could you, please, commit this?

Thanks!
Comment 4 lichray 2016-10-27 07:19:45 UTC
(In reply to yuri from comment #3)

Me?  Yes, the revision should be bumped, because this is changing package content.  I think a committer can do so while committing, though.
Comment 5 Yuri Victorovich freebsd_committer 2016-10-27 07:22:34 UTC
Yes, the committer should bump it.
Comment 6 Yuri Victorovich freebsd_committer 2016-12-26 21:22:58 UTC
Created attachment 178299 [details]
patch

Bumped revision.
Comment 7 commit-hook freebsd_committer 2016-12-27 20:33:44 UTC
A commit references this bug:

Author: pi
Date: Tue Dec 27 20:33:29 UTC 2016
New revision: 429655
URL: https://svnweb.freebsd.org/changeset/ports/429655

Log:
  chinese/fcitx: Enable GTK3 by default, fcitx doesn't work in firefox without it

  PR:		212590
  Submitted by:	Yuri Victorovich <yuri@rawbw.com>
  Approved by:	lichray@gmail.com (maintainer)

Changes:
  head/chinese/fcitx/Makefile
Comment 8 Kurt Jaeger freebsd_committer 2016-12-27 20:34:49 UTC
Testbuilds are fine, committed, thanks!